Subject: Re: bug#8215: bug#8229: possibly uninitialized variable in load_charset

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Jun 2021 15:50:50 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 02 Jun 2021 10:03:14 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Paul Eggert <[email-masked]> writes:
> 
> > I committed my abovementioned workaround into the
> > Emacs trunk on 2011-03-11 (bzr 103589).  I don't
> > consider this a fix, though, so I'm leaving this
> > bug report open.
> 
> This was ten years ago:
> 
> commit 0ac2c2991c1cba4e3c6e5f7b62c7d61b01d69994
> Author:     Paul Eggert <[email-masked]>
> AuthorDate: Mon Mar 7 16:46:23 2011 -0800
> Commit:     Paul Eggert <[email-masked]>
> CommitDate: Mon Mar 7 16:46:23 2011 -0800
> 
>     * charset.c (load_charset): Abort instead of using uninitialized var.
> 
> The code is still pretty much identical, as far as I can tell.  Should
> this report be closed now?

I'm closing it.  I think non-unified charsets are rarely if ever used
in Emacs these days, but in any case, we have emacs_abort there, so if
the problem ever rears its ugly head, we will catch it.